Apache Tomcat 7.0.x < 7.0.32 XSRF 过滤器绕过

medium Nessus 插件 ID 63200

简介

远程 Apache Tomcat 服务器受到安全绕过漏洞的影响。

描述

根据其自我报告的版本号,在远程主机上监听的 Apache Tomcat 7.0 实例版本低于 7.0.32。因此,它受到因“filters/CsrfPreventionFilter.java”文件中的错误而造成的一个安全绕过漏洞的影响,该漏洞允许跨站请求伪造 (XSRF) 攻击绕过过滤。此问题允许在无会话标识符的情况下访问受保护的资源。

请注意,Nessus 没有测试此问题,而仅依赖于应用程序自我报告的版本号。

解决方案

将 Apache Tomcat 更新为 7.0.32 或更高版本。

另见

http://www.nessus.org/u?8dce51c4

https://svn.apache.org/viewvc?view=rev&rev=1393088

插件详情

严重性: Medium

ID: 63200

文件名: tomcat_7_0_32.nasl

版本: 1.19

类型: combined

代理: windows, macosx, unix

系列: Web Servers

发布时间: 2012/12/10

最近更新时间: 2024/5/23

配置: 启用全面检查

支持的传感器: Frictionless Assessment Agent, Nessus Agent, Nessus

风险信息

VPR

风险因素: Low

分数: 2.2

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.2

矢量: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

CVSS 分数来源: CVE-2012-4431

CVSS v3

风险因素: Medium

基本分数: 4.3

时间分数: 3.8

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:apache:tomcat:7

必需的 KB 项: installed_sw/Apache Tomcat

易利用性: No known exploits are available

补丁发布日期: 2012/10/9

漏洞发布日期: 2012/12/4

参考资料信息

CVE: CVE-2012-4431

BID: 56814